/**
 * Le controleur du mEngine qui sert a gerer le timer
 *
 * @version 1.0 19/03/00
 * @author Paul Ladeveze
 * @author Frederik Sackx
 */
package Controlers;

import java.awt.event.*;
import Model.Engine;

public class EngineControl implements ActionListener
{
  /** Le modele principal */
  private Engine mEngine;

  /**
   * Le constructeur
   * @param inEngine : modele d'archi
   */
  public EngineControl( Engine inEngine ) { mEngine = inEngine; }


  /**
   * Methode de l'interface ActionListener
   * @param e : l'evnement capte
   * @see java.awt.event.ActionListener
   * @see java.awt.event.ActionEvent
   */
  public void actionPerformed( ActionEvent inEvent ) { mEngine.execute(); }
}
