/**
 * Une classe reprsentant la fenetre "A propos de PixArchi"
 *
 * @version 1.0 18/05/00
 * @author Paul Ladeveze
 * @author Frederik Sackx
 */
package Utilitaires;

import javax.swing.*;
import javax.swing.text.html.*;
import java.net.*;
import java.io.IOException;

public class About extends JFrame
{
  /**
    * Le conteneur HTML
    */
  JEditorPane contenu;

  /**
    * le constructeur
    */
  public About() {
    super("PixArchi: A propos..." );
    setSize(640,480 );
    setResizable(false );
    try {
      URL myURL=new URL("file:../Docs/Help/about.html" );
      try {
        contenu=new JEditorPane(myURL );
        contenu.setEditable(false );
        JScrollPane jsp=new JScrollPane(contenu,ScrollPaneConstants.VERTICAL_SCROLLBAR_AS_NEEDED,ScrollPaneConstants.HORIZONTAL_SCROLLBAR_AS_NEEDED );
        getContentPane().add( jsp );
      } catch (MalformedURLException m) { m.printStackTrace(); }
    } catch (IOException i){ i.printStackTrace(); }
  }
}
