package Utilitaires;

/**
*Cette classe sert implmente un quadruplet String*Integer*Integer*Integer
*afin de representer une commande assembleur
*/
public class Quintuplet
{

    /** La commande assembleur */
    private String comd;
    /** Le premier argument de la commande */
    private Integer arg1;
    /** Le second argument de la commande */
    private Integer arg2;
    /** Le troisieme argument de la commande */
    private Integer arg3;
    /** Le troisieme format de la commande */
    private Integer format;

    /** Le constructeur */
    public Quintuplet ( String inOpCode, Integer i1, Integer i2, Integer i3, int f )
    {
      comd = inOpCode;
      arg1 = i1;
      arg2 = i2;
      arg3 = i3;
      format = new Integer( f );
    }


    /**
     *Fonction d'acces a la commande assembleur
     *@return La commande assembleur
     */
    public String getComd() { return comd; }

    /**
     *Fonction d'acces au premier argument
     *@return Le premier argument de la commande
     */
    public int getArg1()
    { return arg1.intValue();
 }

    /**
     *Fonction d'acces au second argument
     *@return Le second argument de la commande
     */
    public int getArg2()
    { return arg2.intValue();
 }

    /**
     *Fonction d'acces au troisieme argument
     *@return Le troisieme argument de la commande
     */
    public int getArg3()
    { return arg3.intValue();
 }

    /**
     *Fonction d'acces au troisieme argument
     *@return Le troisieme argument de la commande
     */
    public int getFormat()
    { return format.intValue();
 }

}
