package AsmCode;
import java_cup.runtime.Symbol;


class Yylex implements java_cup.runtime.Scanner {
	private final int YY_BUFFER_SIZE = 512;
	private final int YY_F = -1;
	private final int YY_NO_STATE = -1;
	private final int YY_NOT_ACCEPT = 0;
	private final int YY_START = 1;
	private final int YY_END = 2;
	private final int YY_NO_ANCHOR = 4;
	private final int YY_BOL = 128;
	private final int YY_EOF = 129;
	private java.io.BufferedReader yy_reader;
	private int yy_buffer_index;
	private int yy_buffer_read;
	private int yy_buffer_start;
	private int yy_buffer_end;
	private char yy_buffer[];
	private boolean yy_at_bol;
	private int yy_lexical_state;

	Yylex (java.io.Reader reader) {
		this ();
		if (null == reader) {
			throw (new Error("Error: Bad input stream initializer."));
		}
		yy_reader = new java.io.BufferedReader(reader);
	}

	Yylex (java.io.InputStream instream) {
		this ();
		if (null == instream) {
			throw (new Error("Error: Bad input stream initializer."));
		}
		yy_reader = new java.io.BufferedReader(new java.io.InputStreamReader(instream));
	}

	private Yylex () {
		yy_buffer = new char[YY_BUFFER_SIZE];
		yy_buffer_read = 0;
		yy_buffer_index = 0;
		yy_buffer_start = 0;
		yy_buffer_end = 0;
		yy_at_bol = true;
		yy_lexical_state = YYINITIAL;
	}

	private boolean yy_eof_done = false;
	private final int YYINITIAL = 0;
	private final int yy_state_dtrans[] = {
		0
	};
	private void yybegin (int state) {
		yy_lexical_state = state;
	}
	private int yy_advance ()
		throws java.io.IOException {
		int next_read;
		int i;
		int j;

		if (yy_buffer_index < yy_buffer_read) {
			return yy_buffer[yy_buffer_index++];
		}

		if (0 != yy_buffer_start) {
			i = yy_buffer_start;
			j = 0;
			while (i < yy_buffer_read) {
				yy_buffer[j] = yy_buffer[i];
				++i;
				++j;
			}
			yy_buffer_end = yy_buffer_end - yy_buffer_start;
			yy_buffer_start = 0;
			yy_buffer_read = j;
			yy_buffer_index = j;
			next_read = yy_reader.read(yy_buffer,
					yy_buffer_read,
					yy_buffer.length - yy_buffer_read);
			if (-1 == next_read) {
				return YY_EOF;
			}
			yy_buffer_read = yy_buffer_read + next_read;
		}

		while (yy_buffer_index >= yy_buffer_read) {
			if (yy_buffer_index >= yy_buffer.length) {
				yy_buffer = yy_double(yy_buffer);
			}
			next_read = yy_reader.read(yy_buffer,
					yy_buffer_read,
					yy_buffer.length - yy_buffer_read);
			if (-1 == next_read) {
				return YY_EOF;
			}
			yy_buffer_read = yy_buffer_read + next_read;
		}
		return yy_buffer[yy_buffer_index++];
	}
	private void yy_move_end () {
		if (yy_buffer_end > yy_buffer_start &&
		    '\n' == yy_buffer[yy_buffer_end-1])
			yy_buffer_end--;
		if (yy_buffer_end > yy_buffer_start &&
		    '\r' == yy_buffer[yy_buffer_end-1])
			yy_buffer_end--;
	}
	private boolean yy_last_was_cr=false;
	private void yy_mark_start () {
		yy_buffer_start = yy_buffer_index;
	}
	private void yy_mark_end () {
		yy_buffer_end = yy_buffer_index;
	}
	private void yy_to_mark () {
		yy_buffer_index = yy_buffer_end;
		yy_at_bol = (yy_buffer_end > yy_buffer_start) &&
		            ('\r' == yy_buffer[yy_buffer_end-1] ||
		             '\n' == yy_buffer[yy_buffer_end-1] ||
		             2028/*LS*/ == yy_buffer[yy_buffer_end-1] ||
		             2029/*PS*/ == yy_buffer[yy_buffer_end-1]);
	}
	private java.lang.String yytext () {
		return (new java.lang.String(yy_buffer,
			yy_buffer_start,
			yy_buffer_end - yy_buffer_start));
	}
	private int yylength () {
		return yy_buffer_end - yy_buffer_start;
	}
	private char[] yy_double (char buf[]) {
		int i;
		char newbuf[];
		newbuf = new char[2*buf.length];
		for (i = 0; i < buf.length; ++i) {
			newbuf[i] = buf[i];
		}
		return newbuf;
	}
	private final int YY_E_INTERNAL = 0;
	private final int YY_E_MATCH = 1;
	private java.lang.String yy_error_string[] = {
		"Error: Internal error.\n",
		"Error: Unmatched input.\n"
	};
	private void yy_error (int code,boolean fatal) {
		java.lang.System.out.print(yy_error_string[code]);
		java.lang.System.out.flush();
		if (fatal) {
			throw new Error("Fatal Error.\n");
		}
	}
	private int[][] unpackFromString(int size1, int size2, String st) {
		int colonIndex = -1;
		String lengthString;
		int sequenceLength = 0;
		int sequenceInteger = 0;

		int commaIndex;
		String workString;

		int res[][] = new int[size1][size2];
		for (int i= 0; i < size1; i++) {
			for (int j= 0; j < size2; j++) {
				if (sequenceLength != 0) {
					res[i][j] = sequenceInteger;
					sequenceLength--;
					continue;
				}
				commaIndex = st.indexOf(',');
				workString = (commaIndex==-1) ? st :
					st.substring(0, commaIndex);
				st = st.substring(commaIndex+1);
				colonIndex = workString.indexOf(':');
				if (colonIndex == -1) {
					res[i][j]=Integer.parseInt(workString);
					continue;
				}
				lengthString =
					workString.substring(colonIndex+1);
				sequenceLength=Integer.parseInt(lengthString);
				workString=workString.substring(0,colonIndex);
				sequenceInteger=Integer.parseInt(workString);
				res[i][j] = sequenceInteger;
				sequenceLength--;
			}
		}
		return res;
	}
	private int yy_acpt[] = {
		/* 0 */ YY_NOT_ACCEPT,
		/* 1 */ YY_NO_ANCHOR,
		/* 2 */ YY_NO_ANCHOR,
		/* 3 */ YY_NO_ANCHOR,
		/* 4 */ YY_NO_ANCHOR,
		/* 5 */ YY_NO_ANCHOR,
		/* 6 */ YY_NO_ANCHOR,
		/* 7 */ YY_NO_ANCHOR,
		/* 8 */ YY_NO_ANCHOR,
		/* 9 */ YY_NO_ANCHOR,
		/* 10 */ YY_NO_ANCHOR,
		/* 11 */ YY_NO_ANCHOR,
		/* 12 */ YY_NO_ANCHOR,
		/* 13 */ YY_NO_ANCHOR,
		/* 14 */ YY_NO_ANCHOR,
		/* 15 */ YY_NO_ANCHOR,
		/* 16 */ YY_NO_ANCHOR,
		/* 17 */ YY_NO_ANCHOR,
		/* 18 */ YY_NO_ANCHOR,
		/* 19 */ YY_NO_ANCHOR,
		/* 20 */ YY_NO_ANCHOR,
		/* 21 */ YY_NO_ANCHOR,
		/* 22 */ YY_NO_ANCHOR,
		/* 23 */ YY_NO_ANCHOR,
		/* 24 */ YY_NO_ANCHOR,
		/* 25 */ YY_NO_ANCHOR,
		/* 26 */ YY_NO_ANCHOR,
		/* 27 */ YY_NO_ANCHOR,
		/* 28 */ YY_NO_ANCHOR,
		/* 29 */ YY_NO_ANCHOR,
		/* 30 */ YY_NO_ANCHOR,
		/* 31 */ YY_NO_ANCHOR,
		/* 32 */ YY_NO_ANCHOR,
		/* 33 */ YY_NO_ANCHOR,
		/* 34 */ YY_NO_ANCHOR,
		/* 35 */ YY_NO_ANCHOR,
		/* 36 */ YY_NO_ANCHOR,
		/* 37 */ YY_NO_ANCHOR,
		/* 38 */ YY_NO_ANCHOR,
		/* 39 */ YY_NO_ANCHOR,
		/* 40 */ YY_NO_ANCHOR,
		/* 41 */ YY_NO_ANCHOR,
		/* 42 */ YY_NO_ANCHOR,
		/* 43 */ YY_NO_ANCHOR,
		/* 44 */ YY_NO_ANCHOR,
		/* 45 */ YY_NO_ANCHOR,
		/* 46 */ YY_NO_ANCHOR,
		/* 47 */ YY_NO_ANCHOR,
		/* 48 */ YY_NO_ANCHOR,
		/* 49 */ YY_NO_ANCHOR,
		/* 50 */ YY_NO_ANCHOR,
		/* 51 */ YY_NO_ANCHOR,
		/* 52 */ YY_NO_ANCHOR,
		/* 53 */ YY_NO_ANCHOR,
		/* 54 */ YY_NO_ANCHOR,
		/* 55 */ YY_NO_ANCHOR,
		/* 56 */ YY_NO_ANCHOR,
		/* 57 */ YY_NO_ANCHOR,
		/* 58 */ YY_NO_ANCHOR,
		/* 59 */ YY_NO_ANCHOR,
		/* 60 */ YY_NO_ANCHOR,
		/* 61 */ YY_NO_ANCHOR,
		/* 62 */ YY_NO_ANCHOR,
		/* 63 */ YY_NO_ANCHOR,
		/* 64 */ YY_NO_ANCHOR,
		/* 65 */ YY_NO_ANCHOR,
		/* 66 */ YY_NO_ANCHOR,
		/* 67 */ YY_NO_ANCHOR,
		/* 68 */ YY_NO_ANCHOR,
		/* 69 */ YY_NO_ANCHOR,
		/* 70 */ YY_NO_ANCHOR,
		/* 71 */ YY_NO_ANCHOR,
		/* 72 */ YY_NO_ANCHOR,
		/* 73 */ YY_NO_ANCHOR,
		/* 74 */ YY_NO_ANCHOR,
		/* 75 */ YY_NO_ANCHOR,
		/* 76 */ YY_NO_ANCHOR,
		/* 77 */ YY_NO_ANCHOR,
		/* 78 */ YY_NO_ANCHOR,
		/* 79 */ YY_NO_ANCHOR,
		/* 80 */ YY_NO_ANCHOR,
		/* 81 */ YY_NO_ANCHOR,
		/* 82 */ YY_NO_ANCHOR,
		/* 83 */ YY_NO_ANCHOR,
		/* 84 */ YY_NO_ANCHOR,
		/* 85 */ YY_NO_ANCHOR,
		/* 86 */ YY_NO_ANCHOR,
		/* 87 */ YY_NO_ANCHOR,
		/* 88 */ YY_NO_ANCHOR,
		/* 89 */ YY_NO_ANCHOR,
		/* 90 */ YY_NO_ANCHOR,
		/* 91 */ YY_NO_ANCHOR,
		/* 92 */ YY_NO_ANCHOR,
		/* 93 */ YY_NO_ANCHOR,
		/* 94 */ YY_NO_ANCHOR,
		/* 95 */ YY_NO_ANCHOR,
		/* 96 */ YY_NO_ANCHOR,
		/* 97 */ YY_NO_ANCHOR,
		/* 98 */ YY_NO_ANCHOR,
		/* 99 */ YY_NO_ANCHOR,
		/* 100 */ YY_NO_ANCHOR,
		/* 101 */ YY_NO_ANCHOR,
		/* 102 */ YY_NO_ANCHOR,
		/* 103 */ YY_NO_ANCHOR,
		/* 104 */ YY_NO_ANCHOR,
		/* 105 */ YY_NO_ANCHOR,
		/* 106 */ YY_NO_ANCHOR,
		/* 107 */ YY_NO_ANCHOR,
		/* 108 */ YY_NO_ANCHOR,
		/* 109 */ YY_NO_ANCHOR,
		/* 110 */ YY_NO_ANCHOR,
		/* 111 */ YY_NO_ANCHOR,
		/* 112 */ YY_NO_ANCHOR,
		/* 113 */ YY_NO_ANCHOR,
		/* 114 */ YY_NOT_ACCEPT,
		/* 115 */ YY_NO_ANCHOR,
		/* 116 */ YY_NO_ANCHOR,
		/* 117 */ YY_NOT_ACCEPT,
		/* 118 */ YY_NO_ANCHOR,
		/* 119 */ YY_NO_ANCHOR,
		/* 120 */ YY_NOT_ACCEPT,
		/* 121 */ YY_NO_ANCHOR,
		/* 122 */ YY_NOT_ACCEPT,
		/* 123 */ YY_NO_ANCHOR,
		/* 124 */ YY_NOT_ACCEPT,
		/* 125 */ YY_NO_ANCHOR,
		/* 126 */ YY_NOT_ACCEPT,
		/* 127 */ YY_NO_ANCHOR,
		/* 128 */ YY_NOT_ACCEPT,
		/* 129 */ YY_NO_ANCHOR,
		/* 130 */ YY_NOT_ACCEPT,
		/* 131 */ YY_NO_ANCHOR,
		/* 132 */ YY_NOT_ACCEPT,
		/* 133 */ YY_NO_ANCHOR,
		/* 134 */ YY_NOT_ACCEPT,
		/* 135 */ YY_NO_ANCHOR,
		/* 136 */ YY_NOT_ACCEPT,
		/* 137 */ YY_NO_ANCHOR,
		/* 138 */ YY_NOT_ACCEPT,
		/* 139 */ YY_NO_ANCHOR,
		/* 140 */ YY_NOT_ACCEPT,
		/* 141 */ YY_NOT_ACCEPT,
		/* 142 */ YY_NOT_ACCEPT,
		/* 143 */ YY_NOT_ACCEPT,
		/* 144 */ YY_NOT_ACCEPT,
		/* 145 */ YY_NOT_ACCEPT,
		/* 146 */ YY_NOT_ACCEPT,
		/* 147 */ YY_NOT_ACCEPT,
		/* 148 */ YY_NOT_ACCEPT,
		/* 149 */ YY_NOT_ACCEPT,
		/* 150 */ YY_NOT_ACCEPT,
		/* 151 */ YY_NOT_ACCEPT,
		/* 152 */ YY_NOT_ACCEPT,
		/* 153 */ YY_NOT_ACCEPT,
		/* 154 */ YY_NOT_ACCEPT,
		/* 155 */ YY_NOT_ACCEPT,
		/* 156 */ YY_NOT_ACCEPT,
		/* 157 */ YY_NOT_ACCEPT,
		/* 158 */ YY_NOT_ACCEPT,
		/* 159 */ YY_NOT_ACCEPT,
		/* 160 */ YY_NOT_ACCEPT,
		/* 161 */ YY_NOT_ACCEPT,
		/* 162 */ YY_NOT_ACCEPT,
		/* 163 */ YY_NOT_ACCEPT,
		/* 164 */ YY_NOT_ACCEPT,
		/* 165 */ YY_NOT_ACCEPT,
		/* 166 */ YY_NOT_ACCEPT,
		/* 167 */ YY_NOT_ACCEPT,
		/* 168 */ YY_NOT_ACCEPT,
		/* 169 */ YY_NOT_ACCEPT,
		/* 170 */ YY_NOT_ACCEPT
	};
	private int yy_cmap[] = unpackFromString(1,130,
"51:9,50,49,51,50,49,51:18,50,51:7,1,2,51,3,4,47,21,51,44,46,6:6,48:2,51:7,3" +
"0,29,38,39,31,45,34,28,27,51:2,26,51,33,41,51,32,42,37,35,40,36,51,43,51:8," +
"11,10,19,20,12,45,15,9,8,51:2,7,51,14,23,51,13,24,18,16,22,17,51,25,51:3,5," +
"51:3,0:2")[0];

	private int yy_rmap[] = unpackFromString(1,171,
"0,1:5,2,3,4,5,1:3,6,1,7,8,9,10,1:2,11,12,13,14,1:4,15,1:10,16,17,1,18,1:5,1" +
"9,1:4,20,1:18,21,1,22,23,1,24,25,1,26,1:4,27,1,28,1,29,1:4,30,31,1:2,32,1:3" +
",33,1:10,34,35,36,37,1,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,5" +
"5,56,57,3,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79" +
",80,27,81,82,83,84,85,86,87")[0];

	private int yy_nxt[][] = unpackFromString(88,52,
"1,2,3,4,5,6,7,115,118:2,8,121,118:6,123,118:4,125,127,118,129,118:2,9,131,1" +
"18:6,133,118:3,135,137,118,116,118,119,139,7,10,11,118,-1:58,12,-1:37,12,-1" +
",12,-1:11,7,-1:37,7,-1,7,-1,7,-1:10,120,-1:3,14,122,-1,124,126,-1,128,-1:41" +
",144,-1:3,19,145,-1,146,147,-1,148,-1:8,149,-1:3,20,150,-1,151,152,-1,153,-" +
"1:25,29,-1:7,164,-1:6,30,-1:36,41,-1:14,42,-1:34,44,-1:53,49,-1:7,166,-1:6," +
"50,-1:55,54,-1:13,55,-1:18,76,-1:14,77,-1:55,79,-1:13,80,-1:16,82,-1:70,83," +
"-1:49,87,-1:34,90,-1:12,91,-1:55,92,-1:47,93,-1:55,94,-1:69,97,-1:16,99,-1:" +
"12,100,-1:51,102,-1:5,103,-1:49,104,-1:47,105,-1:73,106,-1:29,107,-1:36,86," +
"-1:3,86:3,-1:6,86:2,-1:8,86:3,-1:6,86:2,-1:4,86:3,-1,86,-1:28,108,-1:47,109" +
",-1:55,110,-1:69,111,-1:29,112,-1:51,113,-1:39,26,-1:50,114,-1:9,117,-1,13," +
"-1:37,7,-1:3,25,-1:14,163,-1:18,119,-1,119,-1,7,-1:10,27,-1:16,28,-1:33,7,-" +
"1:3,25,-1:33,119,-1,119,-1,7,-1:15,31,-1:3,32,-1:49,130,-1:3,132,-1,134,-1:" +
"44,33,-1:54,15,-1:5,136,-1:41,34,-1:63,16,-1:39,35,-1:3,36,-1:41,12,-1:16,1" +
"38,-1:20,12,-1,12,-1:23,37,38,-1:40,140,-1:9,141,-1,17,-1:6,142,-1:9,143,-1" +
",18,-1:32,165,-1:45,170,-1:3,154,-1,155,-1:12,156,-1:3,157,-1,158,-1:36,39," +
"-1:43,21,-1:5,159,-1:12,22,-1:4,160,-1:31,40,-1:55,23,-1:17,24,-1:19,43,-1:" +
"47,12,-1:16,161,-1:17,162,-1:2,12,-1,12,-1:12,45,-1:53,46,-1:49,47,-1:16,48" +
",-1:55,51,-1:49,52,-1:12,167,-1:2,53,-1:21,56,-1:3,57,-1:48,58,-1:50,59,-1:" +
"51,60,-1:3,61,-1:53,62,63,-1:63,64,-1:3,65,-1:48,66,-1:50,67,-1:51,68,-1:3," +
"69,-1:53,70,71,-1:37,72,-1:47,73,-1:70,169,-1:54,74,-1:48,75,-1:22,78,-1:70" +
",81,-1:29,84,-1:70,85,-1:35,88,-1:62,89,-1:40,95,-1:70,96,-1:43,98,-1:51,10" +
"1,-1:50,168,-1:31");

	public java_cup.runtime.Symbol next_token ()
		throws java.io.IOException {
		int yy_lookahead;
		int yy_anchor = YY_NO_ANCHOR;
		int yy_state = yy_state_dtrans[yy_lexical_state];
		int yy_next_state = YY_NO_STATE;
		int yy_last_accept_state = YY_NO_STATE;
		boolean yy_initial = true;
		int yy_this_accept;

		yy_mark_start();
		yy_this_accept = yy_acpt[yy_state];
		if (YY_NOT_ACCEPT != yy_this_accept) {
			yy_last_accept_state = yy_state;
			yy_mark_end();
		}
		while (true) {
			if (yy_initial && yy_at_bol) yy_lookahead = YY_BOL;
			else yy_lookahead = yy_advance();
			yy_next_state = YY_F;
			yy_next_state = yy_nxt[yy_rmap[yy_state]][yy_cmap[yy_lookahead]];
			if (YY_EOF == yy_lookahead && true == yy_initial) {
				return null;
			}
			if (YY_F != yy_next_state) {
				yy_state = yy_next_state;
				yy_initial = false;
				yy_this_accept = yy_acpt[yy_state];
				if (YY_NOT_ACCEPT != yy_this_accept) {
					yy_last_accept_state = yy_state;
					yy_mark_end();
				}
			}
			else {
				if (YY_NO_STATE == yy_last_accept_state) {
					throw (new Error("Lexical Error: Unmatched Input."));
				}
				else {
					yy_anchor = yy_acpt[yy_last_accept_state];
					if (0 != (YY_END & yy_anchor)) {
						yy_move_end();
					}
					yy_to_mark();
					switch (yy_last_accept_state) {
					case 1:
						
					case -2:
						break;
					case 2:
						{ return new Symbol(sym.PARG); }
					case -3:
						break;
					case 3:
						{ return new Symbol(sym.PARD); }
					case -4:
						break;
					case 4:
						{ return new Symbol(sym.PLUS); }
					case -5:
						break;
					case 5:
						{ return new Symbol(sym.COMA); }
					case -6:
						break;
					case 6:
						{ return new Symbol(sym.NOTLEGAL); }
					case -7:
						break;
					case 7:
						{ return new Symbol(sym.NUMBER, new Integer(yytext())); }
					case -8:
						break;
					case 8:
						{ return new Symbol(sym.B,(String)yytext()); }
					case -9:
						break;
					case 9:
						{ return new Symbol(sym.B,(String)yytext()); }
					case -10:
						break;
					case 10:
						{ return new Symbol(sym.BACK); }
					case -11:
						break;
					case 11:
						{ /* ignore white space. */ }
					case -12:
						break;
					case 12:
						{ return new Symbol(sym.R,new Integer(yytext().substring(1))); }
					case -13:
						break;
					case 13:
						{ return new Symbol(sym.LD,(String)yytext()); }
					case -14:
						break;
					case 14:
						{ return new Symbol(sym.BA,(String)yytext()); }
					case -15:
						break;
					case 15:
						{ return new Symbol(sym.ST,(String)yytext()); }
					case -16:
						break;
					case 16:
						{ return new Symbol(sym.OR,(String)yytext()); }
					case -17:
						break;
					case 17:
						{ return new Symbol(sym.LD,(String)yytext()); }
					case -18:
						break;
					case 18:
						{ return new Symbol(sym.LD,(String)yytext()); }
					case -19:
						break;
					case 19:
						{ return new Symbol(sym.BA,(String)yytext()); }
					case -20:
						break;
					case 20:
						{ return new Symbol(sym.BA,(String)yytext()); }
					case -21:
						break;
					case 21:
						{ return new Symbol(sym.ST,(String)yytext()); }
					case -22:
						break;
					case 22:
						{ return new Symbol(sym.ST,(String)yytext()); }
					case -23:
						break;
					case 23:
						{ return new Symbol(sym.OR,(String)yytext()); }
					case -24:
						break;
					case 24:
						{ return new Symbol(sym.OR,(String)yytext()); }
					case -25:
						break;
					case 25:
						{ return new Symbol(sym.BINARY,(String)yytext().substring(0,yytext().length()-1)); }
					case -26:
						break;
					case 26:
						{ return new Symbol(sym.LIH,(String)yytext()); }
					case -27:
						break;
					case 27:
						{ return new Symbol(sym.LSL,(String)yytext()); }
					case -28:
						break;
					case 28:
						{ return new Symbol(sym.LSR,(String)yytext()); }
					case -29:
						break;
					case 29:
						{ return new Symbol(sym.LDB,(String)yytext()); }
					case -30:
						break;
					case 30:
						{ return new Symbol(sym.LDX,(String)yytext()); }
					case -31:
						break;
					case 31:
						{ return new Symbol(sym.BLE,(String)yytext()); }
					case -32:
						break;
					case 32:
						{ return new Symbol(sym.BLT,(String)yytext()); }
					case -33:
						break;
					case 33:
						{ return new Symbol(sym.BEQ,(String)yytext()); }
					case -34:
						break;
					case 34:
						{ return new Symbol(sym.BNE,(String)yytext()); }
					case -35:
						break;
					case 35:
						{ return new Symbol(sym.BGE,(String)yytext()); }
					case -36:
						break;
					case 36:
						{ return new Symbol(sym.BGT,(String)yytext()); }
					case -37:
						break;
					case 37:
						{ return new Symbol(sym.BVS,(String)yytext()); }
					case -38:
						break;
					case 38:
						{ return new Symbol(sym.BVC,(String)yytext()); }
					case -39:
						break;
					case 39:
						{ return new Symbol(sym.ASR,(String)yytext()); }
					case -40:
						break;
					case 40:
						{ return new Symbol(sym.ADD,(String)yytext()); }
					case -41:
						break;
					case 41:
						{ return new Symbol(sym.STB,(String)yytext()); }
					case -42:
						break;
					case 42:
						{ return new Symbol(sym.STX,(String)yytext()); }
					case -43:
						break;
					case 43:
						{ return new Symbol(sym.SUB,(String)yytext()); }
					case -44:
						break;
					case 44:
						{ return new Symbol(sym.ORI,(String)yytext()); }
					case -45:
						break;
					case 45:
						{ return new Symbol(sym.ROL,(String)yytext()); }
					case -46:
						break;
					case 46:
						{ return new Symbol(sym.LIH,(String)yytext()); }
					case -47:
						break;
					case 47:
						{ return new Symbol(sym.LSL,(String)yytext()); }
					case -48:
						break;
					case 48:
						{ return new Symbol(sym.LSR,(String)yytext()); }
					case -49:
						break;
					case 49:
						{ return new Symbol(sym.LDB,(String)yytext()); }
					case -50:
						break;
					case 50:
						{ return new Symbol(sym.LDX,(String)yytext()); }
					case -51:
						break;
					case 51:
						{ return new Symbol(sym.LIH,(String)yytext()); }
					case -52:
						break;
					case 52:
						{ return new Symbol(sym.LSL,(String)yytext()); }
					case -53:
						break;
					case 53:
						{ return new Symbol(sym.LSR,(String)yytext()); }
					case -54:
						break;
					case 54:
						{ return new Symbol(sym.LDB,(String)yytext()); }
					case -55:
						break;
					case 55:
						{ return new Symbol(sym.LDX,(String)yytext()); }
					case -56:
						break;
					case 56:
						{ return new Symbol(sym.BLE,(String)yytext()); }
					case -57:
						break;
					case 57:
						{ return new Symbol(sym.BLT,(String)yytext()); }
					case -58:
						break;
					case 58:
						{ return new Symbol(sym.BEQ,(String)yytext()); }
					case -59:
						break;
					case 59:
						{ return new Symbol(sym.BNE,(String)yytext()); }
					case -60:
						break;
					case 60:
						{ return new Symbol(sym.BGE,(String)yytext()); }
					case -61:
						break;
					case 61:
						{ return new Symbol(sym.BGT,(String)yytext()); }
					case -62:
						break;
					case 62:
						{ return new Symbol(sym.BVS,(String)yytext()); }
					case -63:
						break;
					case 63:
						{ return new Symbol(sym.BVC,(String)yytext()); }
					case -64:
						break;
					case 64:
						{ return new Symbol(sym.BLE,(String)yytext()); }
					case -65:
						break;
					case 65:
						{ return new Symbol(sym.BLT,(String)yytext()); }
					case -66:
						break;
					case 66:
						{ return new Symbol(sym.BEQ,(String)yytext()); }
					case -67:
						break;
					case 67:
						{ return new Symbol(sym.BNE,(String)yytext()); }
					case -68:
						break;
					case 68:
						{ return new Symbol(sym.BGE,(String)yytext()); }
					case -69:
						break;
					case 69:
						{ return new Symbol(sym.BGT,(String)yytext()); }
					case -70:
						break;
					case 70:
						{ return new Symbol(sym.BVS,(String)yytext()); }
					case -71:
						break;
					case 71:
						{ return new Symbol(sym.BVC,(String)yytext()); }
					case -72:
						break;
					case 72:
						{ return new Symbol(sym.ASR,(String)yytext()); }
					case -73:
						break;
					case 73:
						{ return new Symbol(sym.ADD,(String)yytext()); }
					case -74:
						break;
					case 74:
						{ return new Symbol(sym.ASR,(String)yytext()); }
					case -75:
						break;
					case 75:
						{ return new Symbol(sym.ADD,(String)yytext()); }
					case -76:
						break;
					case 76:
						{ return new Symbol(sym.STB,(String)yytext()); }
					case -77:
						break;
					case 77:
						{ return new Symbol(sym.STX,(String)yytext()); }
					case -78:
						break;
					case 78:
						{ return new Symbol(sym.SUB,(String)yytext()); }
					case -79:
						break;
					case 79:
						{ return new Symbol(sym.STB,(String)yytext()); }
					case -80:
						break;
					case 80:
						{ return new Symbol(sym.STX,(String)yytext()); }
					case -81:
						break;
					case 81:
						{ return new Symbol(sym.SUB,(String)yytext()); }
					case -82:
						break;
					case 82:
						{ return new Symbol(sym.ORI,(String)yytext()); }
					case -83:
						break;
					case 83:
						{ return new Symbol(sym.ORI,(String)yytext()); }
					case -84:
						break;
					case 84:
						{ return new Symbol(sym.ROL,(String)yytext()); }
					case -85:
						break;
					case 85:
						{ return new Symbol(sym.ROL,(String)yytext()); }
					case -86:
						break;
					case 86:
						{ return new Symbol(sym.HEXA,(String)yytext().substring(2).toLowerCase()); }
					case -87:
						break;
					case 87:
						{ return new Symbol(sym.LDBX,(String)yytext()); }
					case -88:
						break;
					case 88:
						{ return new Symbol(sym.LDSB,(String)yytext()); }
					case -89:
						break;
					case 89:
						{ return new Symbol(sym.ANDPT,(String)yytext()); }
					case -90:
						break;
					case 90:
						{ return new Symbol(sym.ADDI,(String)yytext()); }
					case -91:
						break;
					case 91:
						{ return new Symbol(sym.ADDPT,(String)yytext()); }
					case -92:
						break;
					case 92:
						{ return new Symbol(sym.STBX,(String)yytext()); }
					case -93:
						break;
					case 93:
						{ return new Symbol(sym.SUBPT,(String)yytext()); }
					case -94:
						break;
					case 94:
						{ return new Symbol(sym.LDBX,(String)yytext()); }
					case -95:
						break;
					case 95:
						{ return new Symbol(sym.LDSB,(String)yytext()); }
					case -96:
						break;
					case 96:
						{ return new Symbol(sym.LDSB,(String)yytext()); }
					case -97:
						break;
					case 97:
						{ return new Symbol(sym.LDBX,(String)yytext()); }
					case -98:
						break;
					case 98:
						{ return new Symbol(sym.ANDPT,(String)yytext()); }
					case -99:
						break;
					case 99:
						{ return new Symbol(sym.ADDI,(String)yytext()); }
					case -100:
						break;
					case 100:
						{ return new Symbol(sym.ADDPT,(String)yytext()); }
					case -101:
						break;
					case 101:
						{ return new Symbol(sym.ANDPT,(String)yytext()); }
					case -102:
						break;
					case 102:
						{ return new Symbol(sym.ADDPT,(String)yytext()); }
					case -103:
						break;
					case 103:
						{ return new Symbol(sym.ADDI,(String)yytext()); }
					case -104:
						break;
					case 104:
						{ return new Symbol(sym.STBX,(String)yytext()); }
					case -105:
						break;
					case 105:
						{ return new Symbol(sym.SUBPT,(String)yytext()); }
					case -106:
						break;
					case 106:
						{ return new Symbol(sym.STBX,(String)yytext()); }
					case -107:
						break;
					case 107:
						{ return new Symbol(sym.SUBPT,(String)yytext()); }
					case -108:
						break;
					case 108:
						{ return new Symbol(sym.LDSBX,(String)yytext()); }
					case -109:
						break;
					case 109:
						{ return new Symbol(sym.ADDIPT,(String)yytext()); }
					case -110:
						break;
					case 110:
						{ return new Symbol(sym.LDSBX,(String)yytext()); }
					case -111:
						break;
					case 111:
						{ return new Symbol(sym.LDSBX,(String)yytext()); }
					case -112:
						break;
					case 112:
						{ return new Symbol(sym.ADDIPT,(String)yytext()); }
					case -113:
						break;
					case 113:
						{ return new Symbol(sym.ADDIPT,(String)yytext()); }
					case -114:
						break;
					case 115:
						{ return new Symbol(sym.NOTLEGAL); }
					case -115:
						break;
					case 116:
						{ return new Symbol(sym.NUMBER, new Integer(yytext())); }
					case -116:
						break;
					case 118:
						{ return new Symbol(sym.NOTLEGAL); }
					case -117:
						break;
					case 119:
						{ return new Symbol(sym.NUMBER, new Integer(yytext())); }
					case -118:
						break;
					case 121:
						{ return new Symbol(sym.NOTLEGAL); }
					case -119:
						break;
					case 123:
						{ return new Symbol(sym.NOTLEGAL); }
					case -120:
						break;
					case 125:
						{ return new Symbol(sym.NOTLEGAL); }
					case -121:
						break;
					case 127:
						{ return new Symbol(sym.NOTLEGAL); }
					case -122:
						break;
					case 129:
						{ return new Symbol(sym.NOTLEGAL); }
					case -123:
						break;
					case 131:
						{ return new Symbol(sym.NOTLEGAL); }
					case -124:
						break;
					case 133:
						{ return new Symbol(sym.NOTLEGAL); }
					case -125:
						break;
					case 135:
						{ return new Symbol(sym.NOTLEGAL); }
					case -126:
						break;
					case 137:
						{ return new Symbol(sym.NOTLEGAL); }
					case -127:
						break;
					case 139:
						{ return new Symbol(sym.NOTLEGAL); }
					case -128:
						break;
					default:
						yy_error(YY_E_INTERNAL,false);
					case -1:
					}
					yy_initial = true;
					yy_state = yy_state_dtrans[yy_lexical_state];
					yy_next_state = YY_NO_STATE;
					yy_last_accept_state = YY_NO_STATE;
					yy_mark_start();
					yy_this_accept = yy_acpt[yy_state];
					if (YY_NOT_ACCEPT != yy_this_accept) {
						yy_last_accept_state = yy_state;
						yy_mark_end();
					}
				}
			}
		}
	}
}
