package AsmCode;

import java_cup.runtime.Symbol;
%%
%cup
%%
"(" { return new Symbol(sym.PARG); }
")" { return new Symbol(sym.PARD); }
"+" { return new Symbol(sym.PLUS); }
"," { return new Symbol(sym.COMA); }
["r"|"R"][0-7] { return new Symbol(sym.R,new Integer(yytext().substring(1))); }
"lih" { return new Symbol(sym.LIH,(String)yytext()); }
"ba" { return new Symbol(sym.BA,(String)yytext()); }
"beq" { return new Symbol(sym.BEQ,(String)yytext()); }
"bne" { return new Symbol(sym.BNE,(String)yytext()); }
"bge" { return new Symbol(sym.BGE,(String)yytext()); }
"bgt" { return new Symbol(sym.BGT,(String)yytext()); }
"ble" { return new Symbol(sym.BLE,(String)yytext()); }
"blt" { return new Symbol(sym.BLT,(String)yytext()); }
"bvs" { return new Symbol(sym.BVS,(String)yytext()); }
"bvc" { return new Symbol(sym.BVC,(String)yytext()); }
"b" { return new Symbol(sym.B,(String)yytext()); }
"addi." { return new Symbol(sym.ADDIPT,(String)yytext()); }
"addi" { return new Symbol(sym.ADDI,(String)yytext()); }
"add." { return new Symbol(sym.ADDPT,(String)yytext()); }
"add" { return new Symbol(sym.ADD,(String)yytext()); }
"sub." { return new Symbol(sym.SUBPT,(String)yytext()); }
"sub" { return new Symbol(sym.SUB,(String)yytext()); }
"and." { return new Symbol(sym.ANDPT,(String)yytext()); }
"ori" { return new Symbol(sym.ORI,(String)yytext()); }
"or" { return new Symbol(sym.OR,(String)yytext()); }
"ldx" { return new Symbol(sym.LDX,(String)yytext()); }
"ldbx" { return new Symbol(sym.LDBX,(String)yytext()); }
"ldsbx" { return new Symbol(sym.LDSBX,(String)yytext()); }
"ldsb" { return new Symbol(sym.LDSB,(String)yytext()); }
"ldb" { return new Symbol(sym.LDB,(String)yytext()); }
"ld" { return new Symbol(sym.LD,(String)yytext()); }
"stbx" { return new Symbol(sym.STBX,(String)yytext()); }
"stx" { return new Symbol(sym.STX,(String)yytext()); }
"stb" { return new Symbol(sym.STB,(String)yytext()); }
"st" { return new Symbol(sym.ST,(String)yytext()); }
"lsl" { return new Symbol(sym.LSL,(String)yytext()); }
"lsr" { return new Symbol(sym.LSR,(String)yytext()); }
"asr" { return new Symbol(sym.ASR,(String)yytext()); }
"rol" { return new Symbol(sym.ROL,(String)yytext()); }
"LIH" { return new Symbol(sym.LIH,(String)yytext()); }
"BA" { return new Symbol(sym.BA,(String)yytext()); }
"BEQ" { return new Symbol(sym.BEQ,(String)yytext()); }
"BNE" { return new Symbol(sym.BNE,(String)yytext()); }
"BGE" { return new Symbol(sym.BGE,(String)yytext()); }
"BGT" { return new Symbol(sym.BGT,(String)yytext()); }
"BLE" { return new Symbol(sym.BLE,(String)yytext()); }
"BLT" { return new Symbol(sym.BLT,(String)yytext()); }
"BVS" { return new Symbol(sym.BVS,(String)yytext()); }
"BVC" { return new Symbol(sym.BVC,(String)yytext()); }
"B" { return new Symbol(sym.B,(String)yytext()); }
"ADDI." { return new Symbol(sym.ADDIPT,(String)yytext()); }
"ADDI" { return new Symbol(sym.ADDI,(String)yytext()); }
"ADD." { return new Symbol(sym.ADDPT,(String)yytext()); }
"ADD" { return new Symbol(sym.ADD,(String)yytext()); }
"SUB." { return new Symbol(sym.SUBPT,(String)yytext()); }
"SUB" { return new Symbol(sym.SUB,(String)yytext()); }
"AND." { return new Symbol(sym.ANDPT,(String)yytext()); }
"ORI" { return new Symbol(sym.ORI,(String)yytext()); }
"OR" { return new Symbol(sym.OR,(String)yytext()); }
"LDX" { return new Symbol(sym.LDX,(String)yytext()); }
"LDBX" { return new Symbol(sym.LDBX,(String)yytext()); }
"LSDBX" { return new Symbol(sym.LDSBX,(String)yytext()); }
"LSDB" { return new Symbol(sym.LDSB,(String)yytext()); }
"LDB" { return new Symbol(sym.LDB,(String)yytext()); }
"LD" { return new Symbol(sym.LD,(String)yytext()); }
"STBX" { return new Symbol(sym.STBX,(String)yytext()); }
"STX" { return new Symbol(sym.STX,(String)yytext()); }
"STB" { return new Symbol(sym.STB,(String)yytext()); }
"ST" { return new Symbol(sym.ST,(String)yytext()); }
"LSL" { return new Symbol(sym.LSL,(String)yytext()); }
"LSR" { return new Symbol(sym.LSR,(String)yytext()); }
"ASR" { return new Symbol(sym.ASR,(String)yytext()); }
"ROL" { return new Symbol(sym.ROL,(String)yytext()); }
"Lih" { return new Symbol(sym.LIH,(String)yytext()); }
"Ba" { return new Symbol(sym.BA,(String)yytext()); }
"Beq" { return new Symbol(sym.BEQ,(String)yytext()); }
"Bne" { return new Symbol(sym.BNE,(String)yytext()); }
"Bge" { return new Symbol(sym.BGE,(String)yytext()); }
"Bgt" { return new Symbol(sym.BGT,(String)yytext()); }
"Ble" { return new Symbol(sym.BLE,(String)yytext()); }
"Blt" { return new Symbol(sym.BLT,(String)yytext()); }
"Bvs" { return new Symbol(sym.BVS,(String)yytext()); }
"Bvc" { return new Symbol(sym.BVC,(String)yytext()); }
"B" { return new Symbol(sym.B,(String)yytext()); }
"Addi." { return new Symbol(sym.ADDIPT,(String)yytext()); }
"Addi" { return new Symbol(sym.ADDI,(String)yytext()); }
"Add." { return new Symbol(sym.ADDPT,(String)yytext()); }
"Add" { return new Symbol(sym.ADD,(String)yytext()); }
"Sub." { return new Symbol(sym.SUBPT,(String)yytext()); }
"Sub" { return new Symbol(sym.SUB,(String)yytext()); }
"And." { return new Symbol(sym.ANDPT,(String)yytext()); }
"Ori" { return new Symbol(sym.ORI,(String)yytext()); }
"Or" { return new Symbol(sym.OR,(String)yytext()); }
"Ldx" { return new Symbol(sym.LDX,(String)yytext()); }
"Ldbx" { return new Symbol(sym.LDBX,(String)yytext()); }
"Ldsbx" { return new Symbol(sym.LDSBX,(String)yytext()); }
"Ldsb" { return new Symbol(sym.LDSB,(String)yytext()); }
"Ldb" { return new Symbol(sym.LDB,(String)yytext()); }
"Ld" { return new Symbol(sym.LD,(String)yytext()); }
"Stbx" { return new Symbol(sym.STBX,(String)yytext()); }
"Stx" { return new Symbol(sym.STX,(String)yytext()); }
"Stb" { return new Symbol(sym.STB,(String)yytext()); }
"St" { return new Symbol(sym.ST,(String)yytext()); }
"Lsl" { return new Symbol(sym.LSL,(String)yytext()); }
"Lsr" { return new Symbol(sym.LSR,(String)yytext()); }
"Asr" { return new Symbol(sym.ASR,(String)yytext()); }
"Rol" { return new Symbol(sym.ROL,(String)yytext()); }
"0x"[0-9a-fA-F]+ { return new Symbol(sym.HEXA,(String)yytext().substring(2).toLowerCase()); }
[0-1]+"b" { return new Symbol(sym.BINARY,(String)yytext().substring(0,yytext().length()-1)); }
-?[0-9]+ { return new Symbol(sym.NUMBER, new Integer(yytext())); }
[\r\n] { return new Symbol(sym.BACK); }
[ \t\f] { /* ignore white space. */ }
. { return new Symbol(sym.NOTLEGAL); }
