/**
 * Une classe representant le logo de l'application
 *
 * @version 1.0 19/03/00
 * @author Paul Ladeveze
 * @author Frederik Sackx
 */
package Interface.UI;

import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;


public class Logo extends JWindow
{
    /**
     * Le logo de l'application
     */
    private ImageIcon logo = new ImageIcon("../Images/intro/PixArchi.gif" );
    /**
     * Le container
     */
    private JLabel label = new JLabel(logo );

    /**
     * Le constructeur qui laisse 2500 ms s'ecxouler avnt de cacher l'image
     */
    public Logo()
    {
  super();
  Dimension dim=getToolkit().getScreenSize();
  setSize(logo.getIconWidth() ,logo.getIconHeight() );

  getContentPane().setLayout(new GridLayout(1,1) );
  setLocation((dim.width-getWidth())/2,(dim.height-getHeight())/2 );
  // on centre la fenetre
  setLocation(dim.width/2 -this.getWidth()/2,dim.height/2 -this.getHeight()/2 );
  getContentPane().add(label );
  setVisible( true );
    }

}
