/**
 * Le modele des boutons de commande
 *
 * @version 1.0 19/03/00
 * @author Paul Ladeveze
 * @author Frederik Sackx
 */
package Model;

import Controlers.CmdControl;

public class MCmd
{
  /**
   * le controleur
   */
  private CmdControl mControl;

  /**
   * le constructeur
   */
  public MCmd() {}

  /**
   * La methode qui definit le controleur
   * @param ec : le controleur d'edition
   */
  public void setControler( CmdControl inControl ) { mControl = inControl; }

  /**
   * La methode d'acces au controleur
   * @return le controleur d'edition
   */
  public CmdControl getControler() { return mControl; }

  /**
   * Methode qui sert a forcer la selection du bouton play
   */
  public void setPlaySelected() { mControl.setPlaySelected(); }

  /**
   * Methode qui sert a forcer la selection du bouton pause
   */
  public void setPauseSelected() { mControl.setPauseSelected(); }

  /**
   * Methode qui sert a forcer la selection du bouton stop
   */
  public void setStopSelected() { mControl.setStopSelected(); }

  /**
   * Methode qui sert a regler la selection du bouton step
   */
  public void setStepsEnabled( boolean inHiLighted ) { mControl.setStepsEnabled( inHiLighted ); }
}

