/**
 * Une classe contenant des fonctions utiles pour les gridbaglayouts
 *
 * @version 1.0 19/03/00
 * @author Paul Ladeveze
 * @author Frederik Sackx
 */
package Utilitaires;

import java.awt.*;
import javax.swing.border.*;
import javax.swing.*;

public class GridUtils
{
  /**
   * Une fonction donnant des valeurs aux differents champs d'un gridbagconstraints
   * @see java.awt.GridBagConstraints
   */
  public static void buildConstraints( GridBagConstraints gbc, Insets exterior, int ix, int iy, int gx, int gy,
      int gw, int gh, int wx, int wy)
  {
    gbc.insets = exterior;
    gbc.gridx = gx;
    gbc.gridy = gy;
    gbc.ipadx = ix;
    gbc.ipady = iy;
    gbc.gridwidth = gw;
    gbc.gridheight = gh;
    gbc.weightx = wx;
    gbc.weighty = wy;
  }
}
