/**
 * Classe utilitaire contenant les infos des animations
 *
 * @version 1.0 19/03/00
 * @author Paul Ladeveze
 * @author Frederik Sackx
 */
package Utilitaires;

import java.util.Vector;

import Utilitaires.Quintuplet;


public class StepInfo
{

    public static Vector getStepInfo(Quintuplet q)
    {
  Vector res=new Vector();
  switch (q.getFormat()){
  case 1 : {
             res.addElement("Lecture de l'immdiat sur le bus S2" );
       res.addElement("Passage par L'UAL" );
       res.addElement("Rangement dans le registre R"+q.getArg1() );
       break;
           }
  case 2 : {
       res.addElement("Lecture de l'immdiat sur le bus s2" );
             res.addElement("Lecture du Cpt.Prog. sur le bus s1" );
       res.addElement("Passage par L'UAL" );
       res.addElement("Rangement dans le Cpt.de Programme." );
       break;
           }
  case 3 : {
             res.addElement("Lecture de l'immdiat sur le bus s2" );
       res.addElement("Lecture du Cpt.Prog. sur le bus s1" );
       res.addElement("Passage par L'UAL" );
       res.addElement("Rangement dans le Cpt. de Programme" );
       break;
           }
  case 4 : {
             String com=q.getComd();
             if (com.startsWith("ld"))
           {
         res.addElement("Lecture du registre R"+q.getArg2()+" sur le bus s1" );
         res.addElement("Lecture du registre R"+q.getArg3()+" sur le bus s2" );
         res.addElement("Passage par L'UAL" );
         res.addElement("Passage par le Reg.ADdr.Memoire" );
         res.addElement("Lecture de la Mmoire" );
         res.addElement("Rangement dans le registre R"+q.getArg1() );
           }
             else if (com.startsWith("st"))
           {
         res.addElement("Lecture du registre R"+q.getArg1()+" sur le bus s1" );
         res.addElement("Lecture du registre R"+q.getArg2()+" sur le bus s2" );
         res.addElement("Passage par L'UAL" );
         res.addElement("Passage par le Reg.ADdr.Memoire" );
         res.addElement("Lecture du registre R"+q.getArg3()+" sur le bus s2" );
         res.addElement("Rangement dans la memoire" );
           }
       else
           {
         res.addElement("Lecture du registre R"+q.getArg2()+" sur le bus s1" );
         res.addElement("Lecture du registre R"+q.getArg3()+" sur le bus s2" );
         res.addElement("Passage par L'UAL" );
         res.addElement("Rangement dans le registre R"+q.getArg1() );
           }
       break;
           }
  case 5 : {
             String com=q.getComd();
             if (com.startsWith("ld"))
           {
         res.addElement("Lecture du registre R"+q.getArg2()+" sur le bus s1" );
         res.addElement("Lecture de l'immdiat sur le bus s2" );
         res.addElement("Passage par L'UAL" );
         res.addElement("Passage par le Reg.ADdr.Mem" );
         res.addElement("Lecture de la Mmoire" );
         res.addElement("Rangement dans le registre R"+q.getArg1() );
           }
             else if (com.startsWith("st"))
           {
         res.addElement("Lecture du registre R"+q.getArg1()+" sur le bus s1" );
         res.addElement("Lecture de l'immdiat sur le bus s2" );
         res.addElement("Passage par L'UAL" );
         res.addElement("Passage par le Reg.ADdr.Mem" );
         res.addElement("Lecture du registre R"+q.getArg3()+" sur le bus s2" );
         res.addElement("Rangement dans la memoire" );
           }
       else
           {
         res.addElement("Lecture du registre R"+q.getArg2()+" sur le bus s1" );
         res.addElement("Lecture de l' immdiat sur le bus s2" );
         res.addElement("Passage par L'UAL" );
         res.addElement("Rangement dans le registre R"+q.getArg1() );
           }
       break;
           }
  case 6 : {
             res.addElement("Lecture du registre R"+q.getArg2()+" sur le bus s1" );
       res.addElement("Lecture de l'immdiat sur le bus s2" );
       res.addElement("Passage par L'UAL" );
       res.addElement("Rangement dans le registre R"+q.getArg1() );
       break;
           }
  default : break;
  }
  return res;
    }




}
